Subject: Re: WG Last Call: APL

From: Peter Koch <[email-masked]>
Date: Sun, 31 Oct 1999 19:16:00 +0100

>> 	foo.example	APL \[192.168.1.0/24\]
> 
> 	So, there is no semantic difference, just human representation?

It's more that the non-human representation is different in this case.

> 	(addresses in their "natural" form are ones and zeros. the semantic
> 	you have chosen is very recent.)

Sorry, I am still unable to see what's your point here. Binary labels are
for domain names and given a particular suffix like ip6.int, a 1:1 mapping
between addresses and domain names can be defined. IPv4 addresses also
could be represented as their IN-ADDR.ARPA equivalent, but we usually do not
do that, especially in A RRs. Same with APL.

The list elements in an APL RR are not pointers into the DNS hierarchy.

-Peter